PDA

View Full Version : [ubuntu] Trouble installing Galaxium IM client



William S
June 2nd, 2010, 02:12 PM
Hello!
I have a problem installing Galaxium IM client. As it is not in Ubuntu resiptories I have to compile it from source. The configscript works, but when I get to MAKE I get this error message:


/Utilities/ArgumentUtility.cs(284,36): error CS8244: The `is' operator cannot be applied to an operand of a static type
Compilation failed: 1 error(s), 0 warnings
make[2]: *** [../../build/Galaxium.Core.dll] Error 1
make[2]: Leaving directory `/home/william/s/galaxium-0.7.4.1/src/Galaxium.Core'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/william/s/galaxium-0.7.4.1/src'
make: *** [all-recursive] Error 1




Anyone have solution for this?

LowSky
June 2nd, 2010, 02:14 PM
try
sudo make

William S
June 2nd, 2010, 02:36 PM
try
sudo make

I still get the same error.

LowSky
June 2nd, 2010, 02:58 PM
I found this error searching google, its from a year ago
http://code.google.com/p/galaxium/issues/detail?id=332


there is repo for Ubuntu 9.04 it might work for you, http://code.google.com/p/galaxium/wiki/InstallUbuntuJaunty


Add the following lines to /etc/apt/sources.list:


deb http://ppa.launchpad.net/galaxium/ubuntu jaunty main
deb-src http://ppa.launchpad.net/galaxium/ubuntu jaunty main

Type the following commands in a terminal:


sudo apt-get update
sudo apt-get install galaxium-svn